.c-echelle {
  background-color: $grey-light;
  border-radius: 0.5rem;
  padding: 3rem 2rem;
  margin: 0 -2.5rem;

  @include md {
    width: 67.5rem;
    padding: 5rem 2rem 5rem 4rem;
    margin: 0;
  }

  @include lg {
    padding: 6rem 2rem 6rem 5rem;
  }

  &__item {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-transform: uppercase;
    color: rgba($blue, 0.3);
    font-size: 1.3rem;

    @include sm {
      font-size: 1.4rem;
    }

    @for $i from 1 through 10 {
      &:nth-child(3n + #{$i}) {
        .c-echelle__item__index {
          background-color: rgba($blue, $i * 0.1);
        }
      }
    }

    &__index {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      width: 4rem;
      height: 4rem;
      padding: 0 2rem 0 1.8rem;
      border-radius: 5rem;
      color: $white;
      font-size: 1.2rem;
      font-weight: 700;

      @include sm {
        justify-content: flex-start;
        width: auto;
        height: 4rem;
        padding: 0 5rem;
        font-size: 1.4rem;
      }

      @include md {
        justify-content: flex-start;
      }

      &__container {
        display: flex;
        justify-content: flex-start;
        width: 10rem;
        flex-grow: 0;
        flex-basis: auto;
        flex-shrink: 0;

        @include sm {
          width: 13rem;
          margin-right: 3rem;
        }

        @include md {
          width: 13rem;
          margin-right: 5rem;
        }
      }
    }

    &--active {
      color: $blue;
      
      .c-echelle__item__index {
        padding: 0 5rem 0 2rem;

        @include sm {
          width: 13rem;
          padding: 0 5rem;
        }
      }
    }
  }
}